Subject: Re: [Ianaplan] A draft for your review

From: S Moonesamy <[email-masked]>
Date: Fri, 24 Oct 2014 02:02:26 -0700

Hi Eliot,
At 03:01 02-09-2014, Eliot Lear wrote:
>Well, but that was just the start of my list.  Steve Crocker is the 
>chair of the board of ICANN, and he's also the author of RFC 1 
>(among many others), a former security AD, and an occasional contributor.

 From draft-ietf-ianaplan-icg-response-01:

   "It is important to note that the IETF includes anyone who wishes to
    participate, including anyone from ICANN or the regional Internet
    registries (RIRs), and many people from those organizations regularly
    do."

None of the persons listed at 
http://gnso.icann.org/en/about/gnso-council.htm participate in DNS 
discussions on IETF mailing lists.  That can be easily verified by 
looking at 
https://www.ietf.org/mail-archive/web/dnsop/current/maillist.html  I 
looked at 
http://www.ietf.org/mail-archive/web/ietf/current/maillist.html I do 
not see any person affiliated with ICANN or the RIRs participating on 
that mailing list.  I looked at 
http://www.ietf.org/mail-archive/web/ianaplan/current/maillist.html 
There was the CEO of ARIN and the CTO of ICANN participating in the 
discussions.

I haven't seen your list yet. :-)  In my opinion the quoted text (see 
above) is to make ICANN and the RIRs look good.  That might be 
appropriate in the IAB Stream instead of the IETF Stream.

   "The IETF operates an open and transparent manner [RFC6852]."

The reference to RFC 6852 is promoting IAB views instead of the views 
of the IETF (as documented in Standards Track RFCs).

I suggest removing the promotional material from the draft.

Regards,
S. Moonesamy

---

From: "Martin J. Dürst" <[email-masked]>
Date: Fri, 24 Oct 2014 19:18:53 +0900

On 2014/10/24 18:02, S Moonesamy wrote:
>> chair of the board of ICANN, and he's also the author of RFC 1 (among
>> many others), a former security AD, and an occasional contributor.
>

Content apart, the grammar of the sentence should be improved. It's 
unclear what "do" refers to. I read it at referring to "include". At the 
minimum, I suggest changing the final "do" to "do participate".

Regards,   Martin.

---

From: Eliot Lear <[email-masked]>
Date: Fri, 24 Oct 2014 12:23:23 +0200

Hi SM,

> There was the CEO of ARIN and the CTO of ICANN participating in the
And the chair of the SSAC, and others who directly participate in other
activities.

>
> I haven't seen your list yet. :-)  

Yes you have, SM, because we have discussed this before.

> In my opinion the quoted text (see above) is to make ICANN and the
> RIRs look good.  That might be appropriate in the IAB Stream instead
> of the IETF Stream.
>
>

You have the causalities backwards.  6852 summarizes in an informational
a philosophy way that the IETF and other standards bodies use.  It could
be described as an observation, much in the same vein as the tao.

Eliot

---

From: Suzanne Woolf <[email-masked]>
Date: Fri, 24 Oct 2014 08:50:53 -0400

On Oct 24, 2014, at 5:02 AM, S Moonesamy <[email-masked]> wrote:

>> Well, but that was just the start of my list.  Steve Crocker is the chair of the board of ICANN, and he's also the author of RFC 1 (among many others), a former security AD, and an occasional contributor.
> 
> None of the persons listed at http://gnso.icann.org/en/about/gnso-council.htm participate in DNS discussions on IETF mailing lists.  That can be easily verified by looking at https://www.ietf.org/mail-archive/web/dnsop/current/maillist.html  I looked at http://www.ietf.org/mail-archive/web/ietf/current/maillist.html I do not see any person affiliated with ICANN or the RIRs participating on that mailing list.  I looked at http://www.ietf.org/mail-archive/web/ianaplan/current/maillist.html There was the CEO of ARIN and the CTO of ICANN participating in the discussions.

Off the top of my head, just in the groups I follow closely: There is another ICANN staffer I know of participating in DPRIVE; he also has a long history as a protocol designer and implementer in matters DNS and WHOIS/PROVREG/WEIRDS. There's at least one person who's held formal roles in the GNSO who has also been an IETF participant, including discussions in DNSOP (and at least a couple more who have posted to IANAPLAN). The CTO of APNIC posted just the other day to WEIRDS, and some other APNIC staff are extremely well-known in DNS and routing groups in the IETF. Staff from RIPE and LACNIC participate in DNSOP discussions and other DNS-related work such as recent BOFs. Assorted technologists, some very senior, associated with TLD operators participate in both ICANN and IETF discussions, and various TLD operators sponsor IETF participation for employees and contractors as contributors, including WG chairs and IAB members from time to time.

It depends a bit on what you mean by "affiliated," if you're seriously trying to assess cross-participation, but if nothing else, experience suggests that counting noses (or email addresses) isn't actually that helpful.

Would it be better if there was slightly more overlap among ICANN/RIR staff, participants in their processes from other organizations, and participation in the IETF? Probably. (For example, we'd want input from people intimately familiar with matters ICANN in any process to revisit RFC 6761, whether they were ICANN staff or not.) Is the option open to everyone? Yes. Do they sometimes take advantage of it? Yes. 

Eliot's language could stand some tinkering, but I can live with it. Since I owe him text on another point, I'll suggest while I'm here the following revision:

"It is important to note that the IETF includes anyone who wishes to participate, including staff or other participants from ICANN or the Regional Internet Registries (RIRs), and people affiliated with those organizations regularly do."

> I haven't seen your list yet. :-)  In my opinion the quoted text (see above) is to make ICANN and the RIRs look good.  That might be appropriate in the IAB Stream instead of the IETF Stream.

I don't agree.

best,
Suzanne
(ICANN and IETF participant)

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 24 Oct 2014 13:56:57 +0100

On 24/10/14 13:50, Suzanne Woolf wrote:
>>> I haven't seen your list yet. :-)  In my opinion the quoted text
>>> (see above) is to make ICANN and the RIRs look good.  That might
>>> be appropriate in the IAB Stream instead of the IETF Stream.
> I don't agree.

I've been to part of one ICANN meeting. I recognised about
30-40 or so regular IETFers in the cast of thousands, so
there're probably O(100) regular meeting attendee overlaps
at least. That'd imply there're more on mailing lists.

S.

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 Oct 2014 05:22:58 -0700

Hi Eliot,
>And the chair of the SSAC, and others who directly participate in other

[snip]

>Yes you have, SM, because we have discussed this before.

That must be the message at 
http://www.ietf.org/mail-archive/web/ianaplan/current/msg00102.html I 
do not think that could be summaried as "many people from those 
organizations" unless "many" is considered as at least three.

>be described as an observation, much in the same vein as the tao.

I would like to respectfully point out that the philosophy is an IAB 
document and not an IETF document.  Quoting from 
http://www.ietf.org/mail-archive/web/ietf/current/msg74642.html

   "[The] explanation of the document's efficacy leaves me skeptical. We should
    always do something for a reason."

There is already a reference to RFC 2026 in the draft.  Nobody has 
argued that RFC 2026 is inadequate in describing the IETF process or 
its philosophy.  As such I would like to understand why the editors 
are insisting on having that reference.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 Oct 2014 06:21:51 -0700

Hi Suzanne,
At 05:50 24-10-2014, Suzanne Woolf wrote:
>Off the top of my head, just in the groups I follow closely: There 
>is another ICANN staffer I know of participating in DPRIVE; he also 
>has a long history as a protocol designer and implementer in matters 
>DNS and WHOIS/PROVREG/WEIRDS. There's at least one person who's held 
>formal roles in the GNSO who has also been an IETF participant, 
>including discussions in DNSOP (and at least a couple more who have 
>posted to IANAPLAN). The CTO of APNIC posted just the other day to 
>WEIRDS, and some other APNIC staff are extremely well-known in DNS 
>and routing groups in the IETF. Staff from RIPE and LACNIC 
>participate in DNSOP discussions and other DNS-related work such as 
>recent BOFs. Assorted technologists, some very senior, associated 
>with TLD operators participate in both ICANN and IETF discussions, 
>and various TLD operators sponsor IETF participation for employees 
>and contractors as contributors, including WG chairs and IAB members 
>from time to time.
>
>It depends a bit on what you mean by "affiliated," if you're 
>seriously trying to assess cross-participation, but if nothing else, 
>experience suggests that counting noses (or email addresses) isn't 
>actually that helpful.

I usually count reviews.  For what it is worth, I was not counting 
email addresses.

>Would it be better if there was slightly more overlap among 
>ICANN/RIR staff, participants in their processes from other 
>organizations, and participation in the IETF? Probably. (For 
>example, we'd want input from people intimately familiar with 
>matters ICANN in any process to revisit RFC 6761, whether they were 
>ICANN staff or not.) Is the option open to everyone? Yes. Do they 
>sometimes take advantage of it? Yes.
>
>Eliot's language could stand some tinkering, but I can live with it. 
>Since I owe him text on another point, I'll suggest while I'm here 
>the following revision:
>
>participate, including staff or other participants from ICANN or the 
>Regional Internet Registries (RIRs), and people affiliated with 
>those organizations regularly do."

The suggested text looks better than what is currently in the 
draft.  I could settle for that.

Regards,
S. Moonesamy

---

From: "Martin J. Dürst" <[email-masked]>
Date: Sat, 25 Oct 2014 09:29:23 +0900

>> Since I owe him text on another point, I'll suggest while I'm here the
>> following revision:
>>
>> Regional Internet Registries (RIRs), and people affiliated with those
>> organizations regularly do."

The switch of direction between the first clause (IETF includes) and the 
last one (people do) is still there, and causing confusion. Please fix, 
thanks!

Regards,   Martin.

---

From: Eliot Lear <[email-masked]>
Date: Sat, 25 Oct 2014 08:54:16 +0200

On 10/25/14, 2:29 AM, "Martin J. Dürst" wrote:
> The switch of direction between the first clause (IETF includes) and
> the last one (people do) is still there, and causing confusion. Please
> fix, thanks!
>

I propose simply dropping the last phrase.  I don't know how to really
address the grammar in such a way that the point doesn't sound overstated.

Eliot

---

From: Justine Lera <[email-masked]>
Date: Sat, 25 Oct 2014 09:03:51 +0200

> address the grammar in such a way that the point doesn't sound overstated.

I think the doubling of 'include' and 'participant' in one sentence is the
stumbling block here.
Perhaps the following will do?

" It is important to note that the IETF includes anyone who wishes to
participate.  Such participants can be, are normally are, staff and other
affiliated persons from ICANN or the Regional Internet Registries (RIRs),"

Cheers,
Justine Lera

---

From: "Martin J. Dürst" <[email-masked]>
Date: Sat, 25 Oct 2014 16:51:50 +0900

> affiliated persons from ICANN or the Regional Internet Registries (RIRs),"

Splitting the sentence is a big step formard. But the second sentence 
needs a bit of cleanup, e.g. like so:

"Such participants can and do include staff and other affiliated persons 
from ICANN or the Regional Internet Registries (RIRs)."

Regards,   Martin.

---

From: Eliot Lear <[email-masked]>
Date: Sat, 25 Oct 2014 09:56:53 +0200

How about:

>        It is important to note that the IETF includes anyone who
>        wishes to participate.  Staff and participants
>        from ICANN or the Regional Internet Registries (RIRs) regularly
>        participate in IETF activities.

Eliot

On 10/25/14, 9:51 AM, "Martin J. Dürst" wrote:
> "Such participants can and do include staff and other affiliated
> persons from ICANN or the Regional Internet Registries (RIRs)."
>
> Regards,   Martin.
>
> _______________________________________________
> Ianaplan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ianaplan
>
>

---

From: "Richard Hill" <[email-masked]>
Date: Sat, 25 Oct 2014 12:18:21 +0200

I support deleting "including staff or other participants from ICANN or the Regional Internet Registries (RIRs), and people affiliated with those organizations regularly do."

Saying "anyone who wishes to participate" is sufficient, in my view.

Best,
Richard

> -----Original Message-----
> From: Ianaplan [mailto:[email-masked]]On Behalf Of Eliot Lear
> Sent: samedi, 25. octobre 2014 08:54
> To: "Martin J. Dürst"; S Moonesamy; Suzanne Woolf
> Cc: [email-masked]
> Subject: Re: [Ianaplan] A draft for your review
> 
> 
>

---

From: Avri Doria <[email-masked]>
Date: Thu, 30 Oct 2014 21:25:39 +0900

On 24-Oct-14 21:50, Suzanne Woolf wrote:
> (For example, we'd want input from people intimately familiar with matters ICANN in any process to revisit RFC 6761, whether they were ICANN staff or not.)

I must admit this is one I have been worrying about as a person who
inhabits both spaces.  For me it is the one of stress tests the plans
need to measure against.  Does ICANN, the names operational community,
have anything to say about 6761 TLDs?

>From one perspective, why would they?

>From another, why wouldn't they?

and how does a possibly fragmented IANA(s) deal with the issue?

avri

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 01 Nov 2014 13:26:20 +1300

> have anything to say about 6761 TLDs?

I'm sure they have something to say and that it should be listened to.
But under the IETF-ICANN MoU the power of decision is with the IETF,
subject to IETF process.

> and how does a possibly fragmented IANA(s) deal with the issue?

By each fragment joining in the IETF process. Actually this illustrates
the power of the IETF participation model: we're obliged to consider
the views expressed by IANA people as part of the process of judging rough
consensus. And we'd be really stupid not to.

   Brian

---

From: David Conrad <[email-masked]>
Date: Fri, 31 Oct 2014 19:15:14 -0700

Brian,

On Oct 31, 2014, at 5:26 PM, Brian E Carpenter <[email-masked]> wrote:
>> Does ICANN, the names operational community,

I suspect this might be too simplistic of a view.

My reading of RFC 2860 section 4.3 suggests that the responsibility for the administration of the domain names is explicitly "outside of the scope of this MOU" unless the assignments are for "technical uses" (the definition of which are undefined, with only inverse DNS lookups being provided as an example).

RFC 6761 allows for the preemption of _any_ top-level domain name. This would appear to go beyond "technical uses" and get into policy issues regardless of how "technical uses" might be reasonably defined or who does the defining.

> By each fragment joining in the IETF process.

This would seem to suggest the IETF process supersedes all other processes and implies that the ICANN naming community should have participated in the discussion related to RFC 6761. This gets into "Beware the Leopard" territory[1].

In another area, I know in the past folks in select portions of the operational and RIR community simply rejected this approach when it came to address policy (I'll also note that historically, the IETF has in fact refused to accept input from the operational and RIR communities related to address policy: TLAs anyone?).

Regards,
-drc
(ICANN CTO, but speaking only for myself. Really.)

[1] http://www.planetclaire.org/quotes/hitchhikers#Beware_the_Leopard

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 01 Nov 2014 16:21:59 +1300

> RFC 6761 allows for the preemption of _any_ top-level domain name. This would appear to go beyond "technical uses" and get into policy issues regardless of how "technical uses" might be reasonably…

I agree there is scope for interpretation; mine is that it is
intended for technical uses (where things like "local" and "home"
are technical).

> This would seem to suggest the IETF process supersedes all other processes and implies that the ICANN naming community should have participated in the discussion related to RFC 6761. This gets into…

I am quite unaware of the discussions that led to 6761, but for
technical parameters of IETF protocols, the IETF gets to decide.
If 6761 is (mis)used for non-technical TLD definitions, then yes,
there's an issue.

> In another area, I know in the past folks in select portions of the operational and RIR community simply rejected this approach when it came to address policy (I'll also note that historically, the…

Right. Personally the TLA business was a learning experience for me.
I hope that RFC 6761 doesn't turn into another one.

   Brian

---

From: John Curran <[email-masked]>
Date: Fri, 31 Oct 2014 23:52:56 -0400

On Oct 31, 2014, at 10:15 PM, David Conrad <[email-masked]> wrote:
> 
> My reading of RFC 2860 section 4.3 suggests that the responsibility for the administration of the domain names is explicitly "outside of the scope of this MOU" unless the assignments are for "technical uses" ...

That matches my reading of the MOU as well - ICANN is to provide IANA services 
for all IETF registries per supplied policy, but the assignment of domain names 
and the assignment of IP address pose policy issues which are outside the scope 
of the MOU, unless made for technical/specialized/experimental uses. 

In borderline cases, constructive engagement between the IETF and the particular
delegated policy body (ICANN, RIRs) would be most productive.  I do believe that 
IETF has sufficient flexibility (via experimental/technical uses) to effectively
preempt the delegation and put in entries into these spaces without coordination.  
That's not something likely to be done lightly... i.e. in the end, that which the 
Internet service providers around the globe configure is actually what gets used, 
and our failure to provide effective coordination is a good way to encourage 
exploration of alternative mechanisms.

/John

Disclaimer: my views alone.

---

From: Eliot Lear <[email-masked]>
Date: Sat, 01 Nov 2014 06:28:03 +0100

On 11/1/14, 3:15 AM, David Conrad wrote:
> RFC 6761 allows for the preemption of _any_ top-level domain name.
> This would appear to go beyond "technical uses" and get into policy
> issues regardless of how "technical uses" might be reasonably defined
> or who does the defining. 

Is there a specific example that you believe goes beyond technical use? 
Also, we have processes to revise 6761 if that is what is necessary, the
same ones, in fact that were used to create it in the first place.

Eliot

---

From: David Conrad <[email-masked]>
Date: Fri, 31 Oct 2014 22:42:43 -0700

Eliot,

> Is there a specific example that you believe goes beyond technical use? 

First, please define "technical use" for me.

> same ones, in fact that were used to create it in the first place.

The same ones in which the folks most active in creating top-level domains and to whom the administration of the domain space was delegated were unaware?

Regards,
-drc

---

From: Eliot Lear <[email-masked]>
Date: Sat, 01 Nov 2014 06:44:01 +0100

On 11/1/14, 6:42 AM, David Conrad wrote:
> The same ones in which the folks most active in creating top-level
> domains and to whom the administration of the domain space was
> delegated were unaware?

This is not true for everyone in that community, but to be sure we can
always do a better job at making people aware of that.

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Sat, 01 Nov 2014 06:44:19 +0100

> First, please define "technical use" for me.

FWIW I will take that answer as a "no".

---

From: David Conrad <[email-masked]>
Date: Fri, 31 Oct 2014 22:50:43 -0700

Eliot,

> always do a better job at making people aware of that.

I think you might be missing my point.

IIRC, part of this thread (the part Avri was commenting on) was discussing whether there were cases in which coordination was necessary between functions.  I believe RFC 6761 is an example in which coordination was necessary and did not occur. Another is between the operational/RIR community and the IETF related to TLAs. I believe there are others. And that is with a unified IANA. The problem is that it is difficult to know beforehand whether or not coordination is necessary and/or whether the coordination has been sufficient. If IANA is to be functionally decomposed, I believe care must be taken to ensure that coordination can be done effectively.

Regards,
-drc